Bug 468863 - synaptics touchpad configurations no longer work correctly
synaptics touchpad configurations no longer work correctly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 10:17 EDT by Karl Lattimer
Modified: 2008-11-05 06:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 06:14:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (85.98 KB, text/plain)
2008-10-29 05:44 EDT, Karl Lattimer
no flags Details

  None (edit)
Description Karl Lattimer 2008-10-28 10:17:21 EDT
Description of problem:
I have been using the multi-tap features in xorg to produce right-click and middle-click for some time, after upgrading the rawhide these features no longer work.

Version-Release number of selected component (if applicable):
xorg-x11-drv-synaptics-0.15.2-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Set up two finger and three finger taps in xorg.conf
2. try the features out
  
Actual results:
Mouse event sometimes sends a click, sometimes no click. 

Expected results:
right click or middle click events should be sent.

Additional info:

My configuration
-- 
Section "InputDevice"
       Identifier      "Synaptics Touchpad"
       Driver          "synaptics"
       Option          "CorePointer"
       Option          "Device"                "/dev/input/mouse0"
       Option          "Protocol"              "auto-dev"
       Option          "LeftEdge"      "100"
       Option          "RightEdge"     "1120"
       Option          "TopEdge"       "50"
       Option          "BottomEdge"    "310"
       Option          "FingerLow"     "25"
       Option          "FingerHigh"    "30"
       Option          "MaxTapTime"    "180"
       Option          "MaxTapMove"    "220"
       Option          "MaxDoubleTapTime"      "180"
       Option          "VertScrollDelta"       "20"
       Option          "HorizScrollDelta"      "50"
       Option          "MinSpeed"      "0.79"
       Option          "MaxSpeed"      "0.88"
       Option          "AccelFactor"   "0.0015"
       Option          "SHMConfig"     "true"
       Option          "TapButton2"    "3"
       Option          "Tapbutton3"    "2"
EndSection
--

Also SHMConfig no longer functions either.
Comment 1 Peter Hutterer 2008-10-28 19:19:24 EDT
Please attach your Xorg.log file as well, so I can have a look at how the device initialises.

>        Option          "CorePointer"
you don't need this option anymore

>        Option          "Device"                "/dev/input/mouse0"
this is almost certainly not what you want, and in fact conflicts with the auto-dev line. just remove it, the driver overwrites it internally anyway.

>        Option          "LeftEdge"      "100"
>        Option          "RightEdge"     "1120"
>        Option          "TopEdge"       "50"
>        Option          "BottomEdge"    "310"
>        Option          "FingerLow"     "25"
>        Option          "FingerHigh"    "30"
>        Option          "MaxTapTime"    "180"
>        Option          "MaxTapMove"    "220"
>        Option          "MaxDoubleTapTime"      "180"
>        Option          "VertScrollDelta"       "20"
>        Option          "HorizScrollDelta"      "50"
>        Option          "MinSpeed"      "0.79"
>        Option          "MaxSpeed"      "0.88"
>        Option          "AccelFactor"   "0.0015"

all these are defaults and should be autodetected anyway. you could just remove them.
Comment 2 Karl Lattimer 2008-10-29 05:44:51 EDT
Created attachment 321770 [details]
xorg log file

I've removed the lines specified and still don't have a two finger tap. Nor does SHMConfig seem to work.

This is the xorg.log file with the modifications specified made.
Comment 3 Matěj Cepl 2008-10-29 06:16:58 EDT
Currently the configuration is done in the /etc/hal/fdi/policy/ files. See http://who-t.blogspot.com/2008/07/input-configuration-in-nutshell.html for more information. Concerning SHMConfig, it is a security disaster and was removed from Xorg.
Comment 4 Peter Hutterer 2008-10-29 18:19:47 EDT
> Concerning SHMConfig, it is a security disaster and was removed from Xorg.

actually, it wasn't. it's still there, but you have to explicitly enable it. it's disabled by default.

Karl:
add the line InputDevice  "Synaptics Touchpad" to your ServerLayout. If a device isn't referenced by the ServerLayout, then it won't get picked up.

but you'd probably be better off just adding the key to the /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi, in the form of

<merge key="input.x11_options.SHMConfig" type="string">true</merge>

right underneath the match key="info.product" contains="Synaptics Touchpad" line.
Comment 5 Karl Lattimer 2008-11-05 06:14:47 EST
@peter, thanks, I've got it working again now :) 

Wouldn't it be nice if GNOME had an option for this :/ 

Closing as it's not a problem with Xorg.

Note You need to log in before you can comment on or make changes to this bug.